org.apache.felix.ipojo.manipulator.spi

## Interface ModuleProvider

All Known Implementing Classes:
  CompositeModuleProvider, CoreModuleProvider, DefaultModuleProvider, ServiceLoaderModuleProvider

    public interface ModuleProvider

Discover `Module`s available in the "environment". Environment is dependent of the implementation.

Since:
  1.11.2
Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<Module>` `findModules()` Discover a set of modules at a given time.

### Method Detail

#### findModules

    Iterable<Module> findModules()

Discover a set of modules at a given time. Returned modules could disappear in the future.

Returns:
  discovered modules (should <bold>NEVER</bold> returns null)